package com.example.angelus9110.routes4riders.ui;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.util.Log;

import com.example.angelus9110.routes4riders.R;

public class DatosActivity extends AppCompatActivity {

    private static final String TAG = "DatosActivity";
    String seleccion;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_datos);
        seleccion = getIntent().getExtras().getString("seleccion");

        if (seleccion.equals("main")) {
            // Comprobar si la actividad ya ha sido creada con anterioridad
            Log.d(TAG,"Ha entrado por el main" + seleccion);
            if (savedInstanceState == null) {
                // Crear un fragment
                DatosFragment fragment = new DatosFragment();
                getFragmentManager()
                        .beginTransaction()
                        .add(android.R.id.content, fragment, fragment.getClass().getSimpleName())
                        .commit();
            }
        } else if (seleccion.equals("maps")) {
            Log.d(TAG,"Ha entrado por el maps"  + seleccion);
            // Comprobar si la actividad ya ha sido creada con anterioridad
            if (savedInstanceState == null) {
                // Crear un fragment
                DatosUpdateFragment fragment = new DatosUpdateFragment();
                getFragmentManager()
                        .beginTransaction()
                        .replace(android.R.id.content, fragment, fragment.getClass().getSimpleName())
                        .commit();
            }
        }
    }
}
