package com.example.angelus9110.routes4riders.sqlite;

import android.net.Uri;
import android.provider.BaseColumns;

public class MotoContract {

    public static final String TABLE = "moto";
    public static final String DEFAULT_SORT = Column.ID + " DESC";

    public static final String AUTHORITY = "com.example.angelus9110.routes4riders.sqlite.MotoProvider";
    public static final Uri CONTENT_URI = Uri.parse("content://" + AUTHORITY + "/" + TABLE);
    public static final int MOTO_ITEM = 1;
    public static final int MOTO_DIR = 2;

    public class Column {
        public static final String ID = BaseColumns._ID;
        public static final String MARCA_MOTO = "marca";
        public static final String MODELO_MOTO = "modelo";
    }

}
