package com.example.angelus9110.routes4riders.sqlite;

import android.net.Uri;
import android.provider.BaseColumns;

public class PointContract extends SQLiteContract {
    public static final String TABLE = "punto";
    public static final String DEFAULT_SORT = Column.CREATED_AT + " DESC";

    public static final String AUTHORITY = "com.example.angelus9110.routes4riders.sqlite.PointProvider";
    public static final Uri CONTENT_URI = Uri.parse("content://" + AUTHORITY + "/" + TABLE);
    public static final int POINT_ITEM = 1;
    public static final int POINT_DIR = 2;

    public class Column {
        public static final String CREATED_AT = BaseColumns._ID;
        public static final String LAT = "latitud";
        public static final String LON = "longitud";
        public static final String ROUTE_ID = "id_ruta";
    }
}
