package com.example.angelus9110.routes4riders.sqlite;

import android.net.Uri;
import android.provider.BaseColumns;

public class RouteContract extends SQLiteContract {
    public static final String TABLE = "route";
    public static final String DEFAULT_SORT = Column.CREATED_AT + " ASC";

    public static final String AUTHORITY = "com.example.angelus9110.routes4riders.sqlite.RouteProvider";
    public static final Uri CONTENT_URI = Uri.parse("content://" + AUTHORITY + "/" + TABLE);
    public static final int ROUTE_ITEM = 1;
    public static final int ROUTE_DIR = 2;

    public static class Column {
        public static final String CREATED_AT = BaseColumns._ID;
    }
}
