package com.example.angelus9110.routes4riders.sqlite;

import android.net.Uri;
import android.provider.BaseColumns;

public class UserContract {

    public static final String TABLE = "usuario";
    public static final String DEFAULT_SORT = Column.ID + " DESC";

    public static final String AUTHORITY = "com.example.angelus9110.routes4riders.sqlite.UserProvider";
    public static final Uri CONTENT_URI = Uri.parse("content://" + AUTHORITY + "/" + TABLE);
    public static final int USER_ITEM = 1;
    public static final int USER_DIR = 2;

    public class Column {
        public static final String ID = BaseColumns._ID;
        public static final String EMAIL = "email";
        public static final String USER = "user";
        public static final String MARCA = "marca";
        public static final String MODELO = "modelo";
    }
}
