package com.example.angelus9110.routes4riders.ui;

import android.content.Intent;
import android.database.Cursor;
import android.net.Uri;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.EditText;

import com.example.angelus9110.routes4riders.R;
import com.example.angelus9110.routes4riders.sqlite.UserContract;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {

    private static final String TAG = MainActivity.class.getSimpleName();
    Button buttonEnter;
    EditText email;
    EditText passwd;
    String strEmail;
    String strPasswd;
    Cursor usuario;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN,
                WindowManager.LayoutParams.FLAG_FULLSCREEN);

        Uri uri = UserContract.CONTENT_URI;
        Log.d(TAG, "uri " + uri);
        usuario = getContentResolver().query(uri, null, null, null, null);
        Log.d(TAG, "usuario " + usuario);
        
        if (usuario.getCount() == 0) {

            buttonEnter = (Button) findViewById(R.id.buttonEnter);
            buttonEnter.setOnClickListener(new View.OnClickListener() {
                @Override
                public void onClick(View view) {

                    email = findViewById(R.id.email);
                    passwd = findViewById(R.id.passwd);

                    strEmail = email.getText().toString();
                    strPasswd = passwd.getText().toString();

               if (TextUtils.isEmpty(strEmail)) {
                    email.setError("Falta email");
                    return;
                }
                if (TextUtils.isEmpty(strPasswd)) {
                    passwd.setError("Falta contraseña");
                    return;
                }

                    MainActivity.this.finish();
                    Intent intent = new Intent(MainActivity.this, DatosActivity.class);
                    intent.putExtra("flag", "vacia");
                    intent.putExtra("email", strEmail);
                    intent.putExtra("seleccion", "main");
                    startActivity(intent);
                }
            });
        } else {
            MainActivity.this.finish();
            Intent intent = new Intent(MainActivity.this, SplashScreenActivity.class);
            startActivity(intent);
        }

    }


    @Override
    public void onClick(View view) {

    }
}
